FROM rust:1.75 AS builder

# Set the working directory
WORKDIR /usr/src/guess_number_service

# Change the user to root
USER root

# Copy everything
COPY . .

# Build the project
RUN cargo build --release

# Expose port 8080
<<<<<<< HEAD
EXPOSE 8081

# Define the default command to run
CMD cargo run
=======
EXPOSE 8080

# Define the default command to run
CMD cargo run
>>>>>>> 7ee5cd7684145f0fb110a5bb7812006dcdecedea
